/* -*- Javascript -*- */

/* get tree name */

function get_tree_name (xmltree, element_list) {

  if (typeof element_list === 'string')
    element_list = new Array (element_list);

  var elements = xmltree;
  var tree_name = '';
  for (var k in element_list) {
    elements = elements.getElementsByTagName (element_list[k]);
    if (elements.length == 0)
      return '';
    elements = elements[0];
    tree_name += element_list[k] + '_';
  }

  return tree_name;
}

/* get an element from a xmltree */

function find_element_from_xmltree (xmltree, element_list) {

  if ((!element_list) || (element_list.length == 0))
    return null;

  if (typeof element_list === 'string')
    element_list = new Array (element_list);

  var name = element_list[0];
  element_list.shift();

  var elements = xmltree.getElementsByTagName (name);
  if ((!elements) || (elements.length == 0))
    return null;

  var tab = new Array ();
  for (var i = 0; i < elements.length; i++) {
    var element;
    if (element_list.length != 0)
      element = find_element_from_xmltree (elements[i], element_list.slice (0));
    else
      element = new Array (elements[i]);
    if (element)
      tab = tab.concat (element);
  }

  return tab;
}
